[pve-devel] [PATCH] fix bug #701: blacklist nvidiafb

Alen Grizonic a.grizonic at proxmox.com
Fri Sep 4 09:57:55 CEST 2015



On 09/04/2015 09:42 AM, Alen Grizonic wrote:
>
>
> On 09/04/2015 09:27 AM, Wolfgang Link wrote:
>> ---
>>   proxmox-ve/postinst | 6 ++++++
>>   1 file changed, 6 insertions(+)
>>
>> diff --git a/proxmox-ve/postinst b/proxmox-ve/postinst
>> index be375d2..74dca77 100755
>> --- a/proxmox-ve/postinst
>> +++ b/proxmox-ve/postinst
>> @@ -20,6 +20,12 @@ case "$1" in
>>       echo -n "installing proxmox release key: "
>>       /usr/bin/apt-key add 
>> '/usr/share/doc/proxmox-ve/proxmox-release at proxmox.com.pubkey' || 
>> /bin/true
>>   +    # set blacklist for modules
>> +    echo -n "set kernel modules blacklist: "
>> +    printf "#This file blacklist the muduled forbidden from proxmox! 
>> \n\n" > /etc/modprobe.d/pve-blacklist.conf
>
> Wolfgang, did you mean:
>
> "(This is the) blacklist file of the modules forbidden by proxmox!"
>
>> +    printf "#nidiafb see bugreport 
>> https://bugzilla.proxmox.com/show_bug.cgi?id=701 \n" >> 
>> /etc/modprobe.d/pve-blacklist.conf
>> +    printf "blacklist nvidiafb\n" >> /etc/modprobe.d/pve-blacklist.conf
>> +
>>       # There are three sub-cases:
>>       if test "${2+set}" != set; then
>>         # We're being installed by an ancient dpkg which doesn't 
>> remember
> "Trying to install with a deprecated dpkg tool" ?

Sorry, the second part was not written by you.

Any suggestions?

>
>
>
>
> _______________________________________________
> pve-devel mailing list
> pve-devel at pve.proxmox.com
> http://pve.proxmox.com/cgi-bin/mailman/listinfo/pve-devel
>




More information about the pve-devel mailing list